## org.eclipse.jst.jsf.context.symbol.source
Class AbstractContextSymbolFactory

    java.lang.Object
      org.eclipse.jst.jsf.context.symbol.source.AbstractContextSymbolFactory

    public abstract class AbstractContextSymbolFactory

extends java.lang.Object

Must be sub-classed by all contextSymbolFactory extension point implementors to create context configured symbols

Provisional API - subject to change

Constructor Summary
`AbstractContextSymbolFactory()`

Method Summary
`ISymbol` `create(java.lang.String symbolName, int scope, IAdaptable context, java.util.List problems)` Deprecated. Use the new create method instead.
`ISymbol` `create(java.lang.String symbolName, int scope, IAdaptable context, java.util.List problems, IAdditionalContextSymbolInfo additionalInfo)` The same as create(symbolName, scope, context, problems), except it calls the internalCreate with additionalInfo.
`abstract boolean` `supports(IAdaptable context)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractContextSymbolFactory

    public AbstractContextSymbolFactory()

Method Detail

### create

    @Deprecated
    public final ISymbol create(java.lang.String symbolName,
                                           int scope,
                                           IAdaptable context,
                                           java.util.List problems)

  Deprecated. Use the new create method instead.

  Parameters:
    `symbolName` - -- the symbol name
    `scope` - -- the scope of the symbol
    `context` - -- the context; must be supported (call supports(context))
    `problems` - -- populated with problems found during symbol construction.
  Returns:
    a new ISymbol configured for the name, scope and context or null if the arguments are invalid but some other reason a symbol cannot be created.
  Throws:
    `java.lang.IllegalArgumentException` - if this method is called with context for which supports(context) == false or if scope does not conform to exactly one of the ISymbolConstants.SYMBOL_SCOPE_* constants

### create

    public final ISymbol create(java.lang.String symbolName,
                                int scope,
                                IAdaptable context,
                                java.util.List problems,
                                IAdditionalContextSymbolInfo additionalInfo)

  The same as create(symbolName, scope, context, problems), except it calls the internalCreate with additionalInfo. By default this has the same effect.

  Parameters:
    `symbolName` -
    `scope` -
    `context` -
    `problems` -
    `additionalInfo` -
  Returns:
    the new Symbol

### supports

    public abstract boolean supports(IAdaptable context)

  Parameters:
    `context` -
  Returns:
    true if this factory supports the context